package com.eon46.watermark;

import android.annotation.TargetApi;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.os.Build;

import java.io.ByteArrayOutputStream;

public class ImageCombiner {

    private byte[] imageBytes;
    private byte[] watermarkBytes;

    ImageCombiner(byte[] imageBytes, byte[] watermarkBytes) {
        this.imageBytes = imageBytes;
        this.watermarkBytes = watermarkBytes;
    }


    byte[] combineImages() {

        Bitmap bitmapImage = BitmapFactory.decodeByteArray(imageBytes, 0, imageBytes.length);
        Bitmap bitmapWatermark = BitmapFactory.decodeByteArray(watermarkBytes, 0, watermarkBytes.length);


        Bitmap cs = null;

        cs = Bitmap.createBitmap(bitmapImage.getWidth(), bitmapImage.getHeight(), Bitmap.Config.ARGB_8888);

        Canvas comboImage = new Canvas(cs);

        comboImage.drawBitmap(bitmapImage, 0f, 0f, null);
        comboImage.drawBitmap(bitmapWatermark, (bitmapImage.getWidth() / 2) - (bitmapWatermark.getWidth() / 2 ), (bitmapImage.getHeight() / 2) - (bitmapWatermark.getHeight()/ 2), null);

        ByteArrayOutputStream stream = new ByteArrayOutputStream();
        cs.compress(Bitmap.CompressFormat.JPEG, 100, stream);
        byte[] watermarkedImageBytes = stream.toByteArray();
        cs.recycle();

        return watermarkedImageBytes;

    }

}
