package com.eon46.watermark

import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class WatermarkPlugin: MethodCallHandler {


  companion object {
    @JvmStatic
    fun registerWith(registrar: Registrar) {
      val channel = MethodChannel(registrar.messenger(), "watermark")
      channel.setMethodCallHandler(WatermarkPlugin())
    }
  }

  override fun onMethodCall(call: MethodCall, result: Result) {
    if (call.method == "getPlatformVersion") {
      result.success("Android ${android.os.Build.VERSION.RELEASE}")
    } else if (call.method == "addWatermark") {

      var image = call.argument<ByteArray>("image")
      var watermark = call.argument<ByteArray>("watermark")

      println("Image " + image)
      println("Watermark " + watermark)

      var imageCombiner = ImageCombiner(image, watermark)

      result.success(imageCombiner.combineImages());
    } else {
      result.notImplemented()
    }

  }
}
