import 'dart:async';
import 'dart:typed_data';

import 'package:flutter/services.dart';

class Watermark {
  static const MethodChannel _channel =
      const MethodChannel('watermark');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<List<int>> addWatermark(List<int> image, List<int> watermark) async {

    Map<String, dynamic> args = <String,dynamic>{};


    args.putIfAbsent("image", ()=> image);
    args.putIfAbsent("watermark", ()=> watermark);



    final List<int> watermarkedImage = await _channel.invokeMethod('addWatermark', args);
    return watermarkedImage;
  }
}
